Subject: Re: PostgreSQL compile error
From: Jason Tishler <[email-masked]>
To: "jackson e." <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Feb 2001 15:56:57 -0500

On Mon, Feb 19, 2001 at 08:31:10PM -0800, jackson e. wrote:
> I did some research in the archives on cygwin and
> postgresql and it helped me get this far but I am
> stuck right now.  Anyone know how to resolve this
> series of compile errors?

What version of PostgreSQL are you trying to build?  I would recommend
7.1beta4 or later (i.e., CVS), because they build OOTB under Cygwin.

> dllwrap -o pq++.dll --dllname pq++.dll --def pq++.def pgconnection.o
> pgdatabase o pgtransdb.o pgcursordb.o pglobject.o ../../utils/dllinit.o
> -L/usr/local/lib -L/usr/local/pgsql/lib -L../../backend -lpostgres -lcygipc
> -lcygwin -lcrypt -lkernel32 --driver-name g++ -L../../interfaces/libpq -lpq
> /usr/local/lib/libstdc++.a(iostream.o)(.text+0x22f4):
> multiple definition of `iostream type_info function'
> pgconnection.o(.text$__tf8iostream+0x0): first defined here
> /usr/local/lib/libstdc++.a(iostream.o)(.text+0x18a9):
> undefined reference to `__imp__iob'
> [snip]

I normally don't build pq++.dll, but I just tried the following on a
fairly recently updated PostgreSQL CVS source tree:

    $ configure --with-CXX
    $ cd src/interfaces/libpq++
    $ make
    ...
    dllwrap -o pq++.dll --dllname pq++.dll --def pq++.def pgconnection.o \
    pgdatabase.o pgtransdb.o pgcursordb.o pglobject.o \
    ../../../src/utils/dllinit.o  -L/usr/local/lib \
    -L../../../src/interfaces/libpq -lpq --driver-name g++
    dlltool --dllname pq++.dll --def pq++.def --output-lib libpq++.a

So pq++.dll builds OOTB (for me at least) too.

Note that my dllwrap line is different than yours.  This leads me to
believe that you are trying to build a 7.0.X.

I also just noticed the "/usr/local/lib/libstdc++.a" above.  Why do you
have a libstdc++.a in /usr/local/lib?  Mine is in /usr/lib.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple